Overview | Package | Class | Tree | Deprecated | Index | Help
| SMILA API documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.smila.datamodel.xml
Class XmlConstants

    java.lang.Object
      org.eclipse.smila.datamodel.xml.XmlConstants

    public abstract class XmlConstants

extends java.lang.Object

Helper for tag names and attribute names, used during dom and stax parsing.

Author:
  cind01

Field Summary
`static java.lang.String` | `ATTRIBUTE_KEY` attribute name of key attribute.
`static java.lang.String` | `ATTRIBUTE_TYPE` attribute name of key attribute.
`static java.lang.String` | `ATTRIBUTE_VERSION` attribute name of version attribute.
`static java.lang.String` | `ATTRIBUTE_XMLNSREC` attribute "xmlns:rec" for specification if SMILA Id XML namespace URI.
`static java.lang.String` | `NAMESPACE_RECORD` SMILA Record XML namespace URI, "http://www.eclipse.org/smila/record".
`static java.lang.String` | `SCHEMA_VERSION_RECORD` version of Record XMLs created by this builder: "2.0".
`static java.lang.String` | `TAG_ATTACHMENT` local name of Attachment element.
`static java.lang.String` | `TAG_MAP` local name of Map element.
`static java.lang.String` | `TAG_RECORD` local name of Record element.
`static java.lang.String` | `TAG_RECORDLIST` local name of Record List element.
`static java.lang.String` | `TAG_SEQ` local name of Sequence element.
`static java.lang.String` | `TAG_VAL` local name of Value element.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_RECORD

    public static final java.lang.String NAMESPACE_RECORD

  SMILA Record XML namespace URI, "http://www.eclipse.org/smila/record".

  See Also:
    Constant Field Values

### ATTRIBUTE_XMLNSREC

    public static final java.lang.String ATTRIBUTE_XMLNSREC

  attribute "xmlns:rec" for specification if SMILA Id XML namespace URI.

  See Also:
    Constant Field Values

### SCHEMA_VERSION_RECORD

    public static final java.lang.String SCHEMA_VERSION_RECORD

  version of Record XMLs created by this builder: "2.0".

  See Also:
    Constant Field Values

### TAG_RECORD

    public static final java.lang.String TAG_RECORD

  local name of Record element.

  See Also:
    Constant Field Values

### TAG_RECORDLIST

    public static final java.lang.String TAG_RECORDLIST

  local name of Record List element.

  See Also:
    Constant Field Values

### TAG_MAP

    public static final java.lang.String TAG_MAP

  local name of Map element.

  See Also:
    Constant Field Values

### TAG_SEQ

    public static final java.lang.String TAG_SEQ

  local name of Sequence element.

  See Also:
    Constant Field Values

### TAG_VAL

    public static final java.lang.String TAG_VAL

  local name of Value element.

  See Also:
    Constant Field Values

### TAG_ATTACHMENT

    public static final java.lang.String TAG_ATTACHMENT

  local name of Attachment element.

  See Also:
    Constant Field Values

### ATTRIBUTE_VERSION

    public static final java.lang.String ATTRIBUTE_VERSION

  attribute name of version attribute.

  See Also:
    Constant Field Values

### ATTRIBUTE_KEY

    public static final java.lang.String ATTRIBUTE_KEY

  attribute name of key attribute.

  See Also:
    Constant Field Values

### ATTRIBUTE_TYPE

    public static final java.lang.String ATTRIBUTE_TYPE

  attribute name of key attribute.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMILA API documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD